Subject: [ELPA Feature Request] Package thumbnail

From: "Elijah G." <[email-masked]>
Date: Fri, 24 May 2024 16:30:49 -0600

Tags: notabug

Hi, i'm wondering if would be a good idea add support for thumbnail for
elpa packages (for elpa website and package-menu *Help* buffers).
I think this is a missing feature that most other editors and non-editors
does (such as synaptic and vscodium).

My idea is to only support 1 image (jpg or png, adding more than 1
thumbnail would be hard to read the package *Help* buffer) and resize it
(if possible) for not take all the buffer size.

For packages developers i think would be fine define new header comment
line for let them to choose which image they want to use, something like:
;;; Thumbnail: ./image.png

Thanks.